
Infrastructure - Task #1743

Story # 725 (In Progress): Create Authentication and Access control design specifications

Define the Public User subject.

2011-08-31 01:02 - Dave Vieglais

Status: Closed Start date: 2011-08-31

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Authentication, Authorization Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

The subject string of the public user should be defined to enable consistent application of access rules.

History

#1 - 2011-08-31 01:03 - Dave Vieglais

- Assignee set to Ben Leinfelder

#2 - 2011-10-12 17:02 - Ben Leinfelder

- Status changed from New to Closed

This is in the Constants class:

public static final String SUBJECT_PUBLIC = "public";

public static final String SUBJECT_AUTHENTICATED_USER = "authenticatedUser";

public static final String SUBJECT_VERIFIED_USER = "verifiedUser";

#3 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#4 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#5 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4

#6 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#7 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#8 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#9 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1
#10 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#11 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
